#!/bin/sh
# Copyright (c) 2016-2018 CPU and Fundamental Software Research Center, CAS
#
# This software is published by the license of CPU-OS License，you can use and
# distibuted this software under this License. See CPU-OS Liense for more detail.
#
# You should have receive a copy of CPU-OS License. If not, please contact us
# by email <support_os@cpu-os.ac.cn>

#check dhcp service whether ok
#return vlaue: 1: dhcp serveice ok  0: dhcp service error
set -x

dhcp_status=`ps aux | grep "dhclient" | grep -v "grep"`
cur_network_staus=`cat /etc/NetworkManager/system-connections/* | grep method | sed -n '2p' | sed 's/^.*=//g'`

if [ "$cur_network_staus" = "auto" ];then 
	if [ "$dhcp_status" != "" ];then
		return 1
	else
		return 0
	fi
else
	return 1
fi

set +x
