#!/bin/sh
# Copyright (c) 2016-2018 CPU and Fundamental Software Research Center, CAS
#
# This software is published by the license of CPU-OS License，you can use and
# distibuted this software under this License. See CPU-OS Liense for more detail.
#
# You should have receive a copy of CPU-OS License. If not, please contact us
# by email <support_os@cpu-os.ac.cn>
#check network configure whether ok
#return value: 1:ip config ok  0:ip config error

if [ ! -d "/sys/class/net/" ]
then
		return 0
fi
if [ `ls /sys/class/net/ | wc -l` -eq 0 ]
then
	return 0
fi

rm -rf /tmp/net_config_check
touch /tmp/net_config_check

for ethernet in `ls /sys/class/net/`
do
	if [ $ethernet = "lo" ]
	then
		continue
	fi
	ifconfig $interface | grep "inet 地址"| sed 's/^.*地址://g' | sed 's/广播.*$//g'>>/tmp/net_config_check
	ifconfig $interface | grep "inet "| sed 's/^.*inet //g' | sed  's/ .*//g'>>/tmp/net_config_check
done

if [ `cat /tmp/net_config_check | wc -l` -gt 0 ]
then
	return 1
else
	return 0
fi

